scripts: pre-submit: Print meson format diff on failure
Like in the case of clang-format failures in OpenBMC CI, show what was
changed.
Change-Id: I5180ba948f7c9feffd6c89e8420af90dc269fcad
Signed-off-by: Andrew Jeffery <andrew@codeconstruct.com.au>
diff --git a/scripts/pre-submit b/scripts/pre-submit
index 98cd9e5..ac551e7 100755
--- a/scripts/pre-submit
+++ b/scripts/pre-submit
@@ -5,7 +5,7 @@
trap 'rm -rf "$BUILD"' EXIT
meson format --recursive --inplace || true
-if ! git diff --quiet
+if ! git diff
then
echo Your changes must meet the upstream meson style guide
echo